Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## archive.data
Class PrenotazioneVolo

    java.lang.Object
      archive.data.PrenotazioneVolo

All Implemented Interfaces:
  Prenotation

    public class PrenotazioneVolo

extends java.lang.Object
implements Prenotation

Una classe che rappresenta una prenotazione di un volo ,estende `AbstractPrenotation`

Constructor Summary
`PrenotazioneVolo(java.lang.String c, java.lang.String m, java.lang.String sigla, java.lang.String ori, java.lang.String dest)` Crea una prenotazione di un volo

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getCognome()` Ritorna il cognome del cliente
`java.lang.String` | `getDest()` Ritorna il luogo di destinazione
`java.lang.String` | `getNome()` Ritorna il nome del cliente
`java.lang.String` | `getOri()` Ritorna luogo di partenza
`java.lang.String` | `getSigla()` Ritorna sigla del volo
`int` | `hashCode()`
`boolean` | `isPresentClient(Cliente c)` Implementa il metodo del interfaccia `Prenotation`
`void` | `setSigla(java.lang.String s)` Setta la sigla del volo
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrenotazioneVolo

    public PrenotazioneVolo(java.lang.String c,
                            java.lang.String m,
                            java.lang.String sigla,
                            java.lang.String ori,
                            java.lang.String dest)

  Crea una prenotazione di un volo

  Parameters:
    `c` - cognome del cliente
    `m` - nome del cliente
    `sigla` - sigla del volo
    `ori` - luogo di partenza
    `dest` - luogo di destinazione

Method Detail

### getCognome

    public java.lang.String getCognome()

  Ritorna il cognome del cliente

  Returns:
    cognome del cliente

### getNome

    public java.lang.String getNome()

  Ritorna il nome del cliente

  Returns:
    nome del cliente

### getSigla

    public java.lang.String getSigla()

  Ritorna sigla del volo

  Returns:
    sigla del volo

### getOri

    public java.lang.String getOri()

  Ritorna luogo di partenza

  Returns:
    luogo di partenza

### getDest

    public java.lang.String getDest()

  Ritorna il luogo di destinazione

  Returns:
    luogo di destinazione

### setSigla

    public void setSigla(java.lang.String s)

  Setta la sigla del volo

  Parameters:
    `s` - sigla del volo

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isPresentClient

    public boolean isPresentClient(Cliente c)

  Implementa il metodo del interfaccia `Prenotation`

  Specified by:
    `isPresentClient` in interface `Prenotation`
  Parameters:
    `c` - Cliente
  Returns:
    true se il cliente e' presente

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD